import { MetadataInfo, MetadataInfos } from './types';
export default class MetadataInfoManager {
    private infos;
    constructor(infos?: MetadataInfos);
    getSupportedMetadataTypes(): string[];
    getMetadataInfoByPath(filePathWOMetaXMLSuffix: string): MetadataInfo;
    enrichedMetadataInfo(mdInfo: MetadataInfo, filePathWOMetaXMLSuffix: string): MetadataInfo;
    filterMetadataInfosByFilePathSuffix(filePathWOMetaXMLSuffix: string): MetadataInfo[];
    private getMetadataInfoBasedOnParentPath;
}
